> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get current user



## OpenAPI

````yaml /api-specs/6.3/public-api.json get /model-monitor/v2/api/auth/user/current
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.3.1
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: AI Gateway
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /model-monitor/v2/api/auth/user/current:
    summary: Get current user Information.
    get:
      tags:
        - Model Monitoring authentication
      operationId: getCurrentUser_dmm-plier
      responses:
        '200':
          description: Successfully returned user information.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dmm-plier_UserResponse'
        '400':
          description: Bad request input data.
        '401':
          description: Unauthorized. The endpoint requires authentication.
        '403':
          description: Forbidden. The endpoint enforces authorization.
        '405':
          description: Method not allowed.
        '500':
          description: Internal server error, check server logs.
      security:
        - {}
        - dmm-plier_DominoApiKeyAuth: []
        - dmm-plier_DmmApiKeyAuth: []
        - dmm-plier_cookieAuth: []
        - dmm-plier_BearerAuth: []
components:
  schemas:
    dmm-plier_UserResponse:
      type: object
      description: User object
      required:
        - id
        - username
        - name
      properties:
        id:
          description: User Identifier
          type: string
        domino_id:
          description: Domino User Id
          type: string
        username:
          description: Username of the user
          type: string
        email:
          description: Email of the user
          type: string
          nullable: true
        name:
          description: Name of the user
          type: string
        permissions:
          $ref: '#/components/schemas/dmm-plier_userPermissions'
    dmm-plier_userPermissions:
      title: User Permissions
      description: Permissions metadata required for a user response
      type: object
      required:
        - canRegisterStandaloneModel
        - canEditGlobalMonitoringSettings
      properties:
        canRegisterStandaloneModel:
          description: Whether the user can register standalone models
          type: boolean
        canEditGlobalMonitoringSettings:
          description: Whether the user can edit global monitoring settings
          type: boolean
  securitySchemes:
    dmm-plier_DominoApiKeyAuth:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    dmm-plier_DmmApiKeyAuth:
      type: apiKey
      in: header
      name: X-DMM-API-KEY
    dmm-plier_cookieAuth:
      type: apiKey
      in: cookie
      name: PLAY_SESSION
    dmm-plier_BearerAuth:
      type: http
      scheme: bearer

````

## Related topics

- [Get the current user](/6.3/api-reference/users-and-organizations/get-the-current-user.md)
- [Get all users visible to the current user](/6.3/api-reference/users-and-organizations/get-all-users-visible-to-the-current-user.md)
- [Get all Gen AI endpoints accessible by the user](/6.3/api-reference/genai/get-all-gen-ai-endpoints-accessible-by-the-user.md)
- [Get a user by ID](/6.3/api-reference/users-and-organizations/get-a-user-by-id.md)
